org.apache.tinkerpop.gremlin

## Class AbstractGremlinSuite.OptOutTestFilter

- java.lang.Object
- - org.junit.runner.manipulation.Filter
  - - org.apache.tinkerpop.gremlin.AbstractGremlinSuite.OptOutTestFilter

- Enclosing class:
    AbstractGremlinSuite

      public static class AbstractGremlinSuite.OptOutTestFilter
      extends org.junit.runner.manipulation.Filter

  Filter for tests in the suite which is controlled by the `Graph.OptOut` annotation.

- - ### Field Summary

    - ### Fields inherited from class org.junit.runner.manipulation.Filter

      `ALL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptOutTestFilter(Graph.OptOut[] optOuts, Optional<GraphProvider.Descriptor> graphProviderDescriptor, TraversalEngine.Type traversalEngineType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `describe()`
    `boolean` | `shouldRun(org.junit.runner.Description description)`

    - ### Methods inherited from class org.junit.runner.manipulation.Filter

      `apply, intersect, matchMethodDescription`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OptOutTestFilter

          public OptOutTestFilter(Graph.OptOut[] optOuts,
                                  Optional<GraphProvider.Descriptor> graphProviderDescriptor,
                                  TraversalEngine.Type traversalEngineType)

  - ### Method Detail

    - #### shouldRun

          public boolean shouldRun(org.junit.runner.Description description)

      Specified by:
        `shouldRun` in class `org.junit.runner.manipulation.Filter`

    - #### describe

          public String describe()

      Specified by:
        `describe` in class `org.junit.runner.manipulation.Filter`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.